Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.modify
Class UpdateEngineSDB

    java.lang.Object
      com.hp.hpl.jena.sparql.modify.UpdateEngineBase
          com.hp.hpl.jena.sparql.modify.UpdateEngineMain
              com.hp.hpl.jena.sdb.modify.UpdateEngineSDB

All Implemented Interfaces:
  com.hp.hpl.jena.sparql.modify.UpdateEngine

    public class UpdateEngineSDB

extends com.hp.hpl.jena.sparql.modify.UpdateEngineMain

Constructor Summary
`UpdateEngineSDB(DatasetStoreGraph graphStore, com.hp.hpl.jena.update.UpdateRequest request, com.hp.hpl.jena.sparql.engine.binding.Binding inputBinding, com.hp.hpl.jena.sparql.util.Context context)`

Method Summary
`void` | `execute()`
`static com.hp.hpl.jena.sparql.modify.UpdateEngineFactory` | `getFactory()`
`static void` | `register()`

Methods inherited from class com.hp.hpl.jena.sparql.modify.UpdateEngineMain
`executeUpdateSubmission`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateEngineSDB

    public UpdateEngineSDB(DatasetStoreGraph graphStore,
                           com.hp.hpl.jena.update.UpdateRequest request,
                           com.hp.hpl.jena.sparql.engine.binding.Binding inputBinding,
                           com.hp.hpl.jena.sparql.util.Context context)

Method Detail

### execute

    public void execute()

  Specified by:
    `execute` in interface `com.hp.hpl.jena.sparql.modify.UpdateEngine`
  Overrides:
    `execute` in class `com.hp.hpl.jena.sparql.modify.UpdateEngineMain`

### getFactory

    public static com.hp.hpl.jena.sparql.modify.UpdateEngineFactory getFactory()

### register

    public static void register()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.